﻿Imports System.IO

Public NotInheritable Class Logger

    Private Sub New()
    End Sub

    ' Calcula o nome do arquivo de log
    Private Shared LogArquivo As String = Environment.GetFolderPath(Environment.SpecialFolder.Desktop) + "\Log.txt"

    ' Escreve a data e hora atual mais a linha de texto no arquivo de log
    Public Shared Sub RegistraEvento(texto As String)
        File.AppendAllText(LogArquivo, (Convert.ToString(DateTime.Now.ToString() + ": ") & texto) + vbCrLf)
    End Sub

    ' Deleta o arquivo de log
    Public Shared Sub DeletaLog()
        File.Delete(LogArquivo)
    End Sub

End Class
